1. Help Hub
  2. Getting Started & FAQs

What devices are compatible with TALi apps?

TALi's minimum device requirements:
  • Tablet Device
  • iOS 8.0  iPad or higher
  • Android OS 8.1 (Oreo) tablet or higher